source: src/libcfa/Makefile.in @ 6f7424a

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since 6f7424a was 6f7424a, checked in by Peter A. Buhr <pabuhr@…>, 6 years ago

temporarily remove containers/vector build and test to speed up compilation/testing

  • Property mode set to 100644
File size: 21.0 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
92        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
93        rational.$(OBJEXT)
94am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
95libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
96DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
97depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
98am__depfiles_maybe = depfiles
99am__mv = mv -f
100COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
101        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
102AM_V_CC = $(am__v_CC_@AM_V@)
103am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
104am__v_CC_0 = @echo "  CC    " $@;
105CCLD = $(CC)
106LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
107AM_V_CCLD = $(am__v_CCLD_@AM_V@)
108am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
109am__v_CCLD_0 = @echo "  CCLD  " $@;
110AM_V_GEN = $(am__v_GEN_@AM_V@)
111am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
112am__v_GEN_0 = @echo "  GEN   " $@;
113SOURCES = $(libcfa_a_SOURCES)
114DIST_SOURCES = $(libcfa_a_SOURCES)
115DATA = $(cfalib_DATA)
116HEADERS = $(nobase_include_HEADERS)
117ETAGS = etags
118CTAGS = ctags
119DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
120ACLOCAL = @ACLOCAL@
121ALLOCA = @ALLOCA@
122AMTAR = @AMTAR@
123AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
124AUTOCONF = @AUTOCONF@
125AUTOHEADER = @AUTOHEADER@
126AUTOMAKE = @AUTOMAKE@
127AWK = @AWK@
128BACKEND_CC = @BACKEND_CC@
129CC = ${abs_top_srcdir}/src/driver/cfa
130CCDEPMODE = @CCDEPMODE@
131CFA_BACKEND_CC = @CFA_BACKEND_CC@
132CFA_BINDIR = @CFA_BINDIR@
133CFA_FLAGS = @CFA_FLAGS@
134CFA_INCDIR = @CFA_INCDIR@
135CFA_LIBDIR = @CFA_LIBDIR@
136CFA_PREFIX = @CFA_PREFIX@
137CFLAGS = -quiet -no-include-stdhdr -g -Wall -Wno-unused-function @CFA_FLAGS@ -B${abs_top_srcdir}/src/driver -XCFA -t # TEMPORARY: does not build with -O2
138CPP = @CPP@
139CPPFLAGS = @CPPFLAGS@
140CXX = @CXX@
141CXXDEPMODE = @CXXDEPMODE@
142CXXFLAGS = @CXXFLAGS@
143CYGPATH_W = @CYGPATH_W@
144DEFS = @DEFS@
145DEPDIR = @DEPDIR@
146ECHO_C = @ECHO_C@
147ECHO_N = @ECHO_N@
148ECHO_T = @ECHO_T@
149EGREP = @EGREP@
150EXEEXT = @EXEEXT@
151GREP = @GREP@
152INSTALL = @INSTALL@
153INSTALL_DATA = @INSTALL_DATA@
154INSTALL_PROGRAM = @INSTALL_PROGRAM@
155INSTALL_SCRIPT = @INSTALL_SCRIPT@
156INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
157LDFLAGS = @LDFLAGS@
158LEX = @LEX@
159LEXLIB = @LEXLIB@
160LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
161LIBOBJS = @LIBOBJS@
162LIBS = @LIBS@
163LTLIBOBJS = @LTLIBOBJS@
164MAINT = @MAINT@
165MAKEINFO = @MAKEINFO@
166MKDIR_P = @MKDIR_P@
167OBJEXT = @OBJEXT@
168PACKAGE = @PACKAGE@
169PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
170PACKAGE_NAME = @PACKAGE_NAME@
171PACKAGE_STRING = @PACKAGE_STRING@
172PACKAGE_TARNAME = @PACKAGE_TARNAME@
173PACKAGE_URL = @PACKAGE_URL@
174PACKAGE_VERSION = @PACKAGE_VERSION@
175PATH_SEPARATOR = @PATH_SEPARATOR@
176RANLIB = @RANLIB@
177SET_MAKE = @SET_MAKE@
178SHELL = @SHELL@
179STRIP = @STRIP@
180VERSION = @VERSION@
181YACC = @YACC@
182YFLAGS = @YFLAGS@
183abs_builddir = @abs_builddir@
184abs_srcdir = @abs_srcdir@
185abs_top_builddir = @abs_top_builddir@
186abs_top_srcdir = @abs_top_srcdir@
187ac_ct_CC = @ac_ct_CC@
188ac_ct_CXX = @ac_ct_CXX@
189am__include = @am__include@
190am__leading_dot = @am__leading_dot@
191am__quote = @am__quote@
192am__tar = @am__tar@
193am__untar = @am__untar@
194bindir = @bindir@
195build_alias = @build_alias@
196builddir = @builddir@
197datadir = @datadir@
198datarootdir = @datarootdir@
199docdir = @docdir@
200dvidir = @dvidir@
201exec_prefix = @exec_prefix@
202host_alias = @host_alias@
203htmldir = @htmldir@
204includedir = @includedir@
205infodir = @infodir@
206install_sh = @install_sh@
207libdir = @libdir@
208libexecdir = @libexecdir@
209localedir = @localedir@
210localstatedir = @localstatedir@
211mandir = @mandir@
212mkdir_p = @mkdir_p@
213oldincludedir = @oldincludedir@
214pdfdir = @pdfdir@
215prefix = @prefix@
216program_transform_name = @program_transform_name@
217psdir = @psdir@
218sbindir = @sbindir@
219sharedstatedir = @sharedstatedir@
220srcdir = @srcdir@
221sysconfdir = @sysconfdir@
222target_alias = @target_alias@
223top_build_prefix = @top_build_prefix@
224top_builddir = @top_builddir@
225top_srcdir = @top_srcdir@
226
227# create object files in directory with source files
228AUTOMAKE_OPTIONS = subdir-objects
229lib_LIBRARIES = libcfa.a
230
231# put into lib for now
232cfalibdir = ${libdir}
233cfalib_DATA = builtins.cf extras.cf prelude.cf
234MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
235headers = limits stdlib math iostream fstream iterator rational # containers/vector
236libobjs = ${headers:=.o}
237libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
238stdhdr = ${shell echo stdhdr/*}
239nobase_include_HEADERS = ${headers} ${stdhdr}
240CLEANFILES = libcfa-prelude.c
241all: all-am
242
243.SUFFIXES:
244.SUFFIXES: .c .o .obj
245$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
246        @for dep in $?; do \
247          case '$(am__configure_deps)' in \
248            *$$dep*) \
249              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
250                && { if test -f $@; then exit 0; else break; fi; }; \
251              exit 1;; \
252          esac; \
253        done; \
254        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
255        $(am__cd) $(top_srcdir) && \
256          $(AUTOMAKE) --foreign src/libcfa/Makefile
257.PRECIOUS: Makefile
258Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
259        @case '$?' in \
260          *config.status*) \
261            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
262          *) \
263            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
264            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
265        esac;
266
267$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
268        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
269
270$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
271        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
273        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
274$(am__aclocal_m4_deps):
275install-libLIBRARIES: $(lib_LIBRARIES)
276        @$(NORMAL_INSTALL)
277        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
278        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
279        list2=; for p in $$list; do \
280          if test -f $$p; then \
281            list2="$$list2 $$p"; \
282          else :; fi; \
283        done; \
284        test -z "$$list2" || { \
285          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
286          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
287        @$(POST_INSTALL)
288        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
289        for p in $$list; do \
290          if test -f $$p; then \
291            $(am__strip_dir) \
292            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
293            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
294          else :; fi; \
295        done
296
297uninstall-libLIBRARIES:
298        @$(NORMAL_UNINSTALL)
299        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
300        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
301        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
302
303clean-libLIBRARIES:
304        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
305libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
306        $(AM_V_at)-rm -f libcfa.a
307        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
308        $(AM_V_at)$(RANLIB) libcfa.a
309
310mostlyclean-compile:
311        -rm -f *.$(OBJEXT)
312
313distclean-compile:
314        -rm -f *.tab.c
315
316@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
317@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
318@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
319@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
320@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
321@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
322@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
323@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
324
325.c.o:
326@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
327@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
328@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
329@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
330@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
331@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
332
333.c.obj:
334@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
335@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
336@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
337@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
338@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
339@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
340install-cfalibDATA: $(cfalib_DATA)
341        @$(NORMAL_INSTALL)
342        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
343        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
344        for p in $$list; do \
345          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
346          echo "$$d$$p"; \
347        done | $(am__base_list) | \
348        while read files; do \
349          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
350          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
351        done
352
353uninstall-cfalibDATA:
354        @$(NORMAL_UNINSTALL)
355        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
356        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
357        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
358install-nobase_includeHEADERS: $(nobase_include_HEADERS)
359        @$(NORMAL_INSTALL)
360        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
361        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
362        $(am__nobase_list) | while read dir files; do \
363          xfiles=; for file in $$files; do \
364            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
365            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
366          test -z "$$xfiles" || { \
367            test "x$$dir" = x. || { \
368              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
369              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
370            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
371            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
372        done
373
374uninstall-nobase_includeHEADERS:
375        @$(NORMAL_UNINSTALL)
376        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
377        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
378        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
379
380ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
381        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
382        unique=`for i in $$list; do \
383            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
384          done | \
385          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
386              END { if (nonempty) { for (i in files) print i; }; }'`; \
387        mkid -fID $$unique
388tags: TAGS
389
390TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
391                $(TAGS_FILES) $(LISP)
392        set x; \
393        here=`pwd`; \
394        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
395        unique=`for i in $$list; do \
396            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
397          done | \
398          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
399              END { if (nonempty) { for (i in files) print i; }; }'`; \
400        shift; \
401        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
402          test -n "$$unique" || unique=$$empty_fix; \
403          if test $$# -gt 0; then \
404            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
405              "$$@" $$unique; \
406          else \
407            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
408              $$unique; \
409          fi; \
410        fi
411ctags: CTAGS
412CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
413                $(TAGS_FILES) $(LISP)
414        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
415        unique=`for i in $$list; do \
416            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
417          done | \
418          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
419              END { if (nonempty) { for (i in files) print i; }; }'`; \
420        test -z "$(CTAGS_ARGS)$$unique" \
421          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
422             $$unique
423
424GTAGS:
425        here=`$(am__cd) $(top_builddir) && pwd` \
426          && $(am__cd) $(top_srcdir) \
427          && gtags -i $(GTAGS_ARGS) "$$here"
428
429distclean-tags:
430        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
431
432distdir: $(DISTFILES)
433        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
434        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
435        list='$(DISTFILES)'; \
436          dist_files=`for file in $$list; do echo $$file; done | \
437          sed -e "s|^$$srcdirstrip/||;t" \
438              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
439        case $$dist_files in \
440          */*) $(MKDIR_P) `echo "$$dist_files" | \
441                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
442                           sort -u` ;; \
443        esac; \
444        for file in $$dist_files; do \
445          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
446          if test -d $$d/$$file; then \
447            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
448            if test -d "$(distdir)/$$file"; then \
449              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
450            fi; \
451            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
452              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
453              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
454            fi; \
455            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
456          else \
457            test -f "$(distdir)/$$file" \
458            || cp -p $$d/$$file "$(distdir)/$$file" \
459            || exit 1; \
460          fi; \
461        done
462check-am: all-am
463check: check-am
464all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
465installdirs:
466        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
467          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
468        done
469install: install-am
470install-exec: install-exec-am
471install-data: install-data-am
472uninstall: uninstall-am
473
474install-am: all-am
475        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
476
477installcheck: installcheck-am
478install-strip:
479        if test -z '$(STRIP)'; then \
480          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
481            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
482              install; \
483        else \
484          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
485            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
486            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
487        fi
488mostlyclean-generic:
489
490clean-generic:
491        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
492
493distclean-generic:
494        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
495        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
496
497maintainer-clean-generic:
498        @echo "This command is intended for maintainers to use"
499        @echo "it deletes files that may require special tools to rebuild."
500        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
501clean: clean-am
502
503clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
504
505distclean: distclean-am
506        -rm -rf ./$(DEPDIR)
507        -rm -f Makefile
508distclean-am: clean-am distclean-compile distclean-generic \
509        distclean-tags
510
511dvi: dvi-am
512
513dvi-am:
514
515html: html-am
516
517html-am:
518
519info: info-am
520
521info-am:
522
523install-data-am: install-cfalibDATA install-nobase_includeHEADERS
524
525install-dvi: install-dvi-am
526
527install-dvi-am:
528
529install-exec-am: install-libLIBRARIES
530
531install-html: install-html-am
532
533install-html-am:
534
535install-info: install-info-am
536
537install-info-am:
538
539install-man:
540
541install-pdf: install-pdf-am
542
543install-pdf-am:
544
545install-ps: install-ps-am
546
547install-ps-am:
548
549installcheck-am:
550
551maintainer-clean: maintainer-clean-am
552        -rm -rf ./$(DEPDIR)
553        -rm -f Makefile
554maintainer-clean-am: distclean-am maintainer-clean-generic \
555        maintainer-clean-local
556
557mostlyclean: mostlyclean-am
558
559mostlyclean-am: mostlyclean-compile mostlyclean-generic
560
561pdf: pdf-am
562
563pdf-am:
564
565ps: ps-am
566
567ps-am:
568
569uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
570        uninstall-nobase_includeHEADERS
571
572.MAKE: install-am install-strip
573
574.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
575        clean-libLIBRARIES ctags distclean distclean-compile \
576        distclean-generic distclean-tags distdir dvi dvi-am html \
577        html-am info info-am install install-am install-cfalibDATA \
578        install-data install-data-am install-dvi install-dvi-am \
579        install-exec install-exec-am install-html install-html-am \
580        install-info install-info-am install-libLIBRARIES install-man \
581        install-nobase_includeHEADERS install-pdf install-pdf-am \
582        install-ps install-ps-am install-strip installcheck \
583        installcheck-am installdirs maintainer-clean \
584        maintainer-clean-generic maintainer-clean-local mostlyclean \
585        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
586        tags uninstall uninstall-am uninstall-cfalibDATA \
587        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
588
589
590# create extra forward types/declarations to reduce inclusion of library files
591extras.cf : extras.regx extras.c
592        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
593
594# create forward declarations for gcc builtins
595builtins.cf : builtins.c
596        ${AM_V_GEN}if [ -e $< ] ; then \
597                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
598        fi
599
600builtins.c : builtins.def prototypes.awk
601        ${AM_V_GEN}if [ -e $< ] ; then \
602                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
603        fi
604
605builtins.def :
606
607prototypes.awk :
608
609#--------------------------------------------------
610
611libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
612        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
613
614libcfa-prelude.o : libcfa-prelude.c
615         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
616
617# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
618% : %.c
619        @true
620
621${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
622
623maintainer-clean-local:
624        -rm -rf ${includedir}/*
625
626# Tell versions [3.59,3.63) of GNU make to not export all variables.
627# Otherwise a system limit (for SysV at least) may be exceeded.
628.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.